RalliesAPI

Introduction

OverviewReferenceSandbox
Retail Intent
AskQuestionsTopicsMoversSnapshot
Retail Positioning
HoldingsFlowsRotationOptions
AI Funds
TradesPositionsLeaderboardConsensus
Filings
SearchAskSummariesFinancialsMetrics
Miscellaneous
Screener
API reference/Retail Intent/Question Themes
Contact us

Question Themes

GET/retail/intent/questions

See what retail investors are asking, grouped into clean question themes.

Query Parameters

tickerstringoptional
Ticker symbol filter.
topicstringoptional
Topic text filter.
sentimentenumoptional
Allowed values: bullish, bearish, mixed, neutral, unknown
Optional sentiment filter.
daysintegeroptional
Allowed values: 1, 3, 7, 14, 30, 90, 365
Default: 7
Lookback window in days.
limitintegeroptional
Default: 20
Maximum number of rows to return.
Was this page helpful?
GET/retail/intent/questions
curl "https://api.rallies.ai/v1/retail/intent/questions?ticker=TSLA&sentiment=bearish&days=7&limit=20" \
  -H "X-Rallies-API-Key: $RALLIES_API_KEY"

RESPONSE

JSON
{
  "themes": [
    {
      "rank": 1,
      "label": "Portfolio Allocation",
      "question_share_pct": 17.29,
      "sentiment": "neutral",
      "sentiment_breakdown_pct": {
        "bullish": 27.27,
        "mixed": 18.18,
        "neutral": 54.55
      },
      "related_tickers": [
        {
          "ticker": "GOOGL",
          "question_share_pct": 40
        },
        {
          "ticker": "MSFT",
          "question_share_pct": 35
        },
        {
          "ticker": "AVGO",
          "question_share_pct": 33.33
        }
      ],
      "related_topics": [
        {
          "label": "AI Capex",
          "question_share_pct": 46.67
        },
        {
          "label": "Earnings Season",
          "question_share_pct": 25
        }
      ]
    }
  ]
}